Subject: Questions re. resource registration and deletion

From: [email-masked] (Dave Finnie)
Date: Thu, 25 May 95 17:27:10 EST

Could one of the gurus in this area please clarify the following:

In an EN-NN registration or deletion:

 * If a X'3C' CV is present (or a X'3D', X'00F4'), must it
   contain the name of the ENCP that sent the GDS, or can
   the ENCP surrogately register for another ENCP ?

 * If an ENCP can be a surrogate in this fashion:

   * Can multiple X'3C' or X'3D', X'00F4' CVs be present in
     a single register/delete (with different ENCP names) ?

   * Can the ENCP include a NNCP X'3C' CV that specifies a
     NN other than the one receiving the register ? i.e.
     surrogately register for another ENCP owned by a 
     different NNCP.

In a NN-CDS registration:

 * Can the NN register resources for multiple ENCPs in its
   domain in a single gds ?

 * Can the NN surrogately register resources for other NNs ?
   If so, can multiple NNCP X'3C' CVs be present (with different
   names).

I know I'm probably the only one crazy enough to think about
these scenarios, but I just wanted to clarify these points.

Thanks in advance.

Dave